#
# spec file for package npapi-vlc-beta
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define origname npapi-vlc
%define vlcpp_ver 0.1.0+git110.g0c00299

Name:           npapi-vlc-beta
Version:        2.2.4
Release:        1.1
Summary:        Enables VLC inside browsers
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Players
Url:            http://www.videolan.org/
# from https://code.videolan.org/videolan/npapi-vlc
Source0:        %{origname}-%{version}.tar.xz
Source1:        libvlcpp-%{vlcpp_ver}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  xz
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gdk-x11-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-x11-2.0)
BuildRequires:  pkgconfig(npapi-sdk)
BuildRequires:  vlc-beta-devel >= 3.0
BuildRequires:  pkgconfig(x11)
# openSUSE 12.1 was the latest version using vlc-mozillaplugin
Provides:       vlc-mozillaplugin = %{version}
Obsoletes:      vlc-mozillaplugin < 2.0.0
Enhances:       browser(npapi)
Conflicts:      npapi-vlc

%description
With this plugin you enable video content withing browsers.

%prep
%setup -q -n %origname-%{version}
tar xJf %{SOURCE1} --strip-components 1 libvlcpp-%{vlcpp_ver}/vlcpp

%build
./autogen.sh
%configure --disable-silent-rules
make %{?_smp_mflags}

%install
make install DESTDIR=%{?buildroot} npvlcdir=%{_libdir}/browser-plugins/
rm %{buildroot}%{_libdir}/browser-plugins/libvlcplugin.la

%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/browser-plugins/libvlcplugin.so

%changelog
* Tue Nov 15 2016 aloisio@gmx.com
- Update to version 2.2.4
  * Update mimetypes list
  * Fix headers build
  2.2.2:
  * Rewrite using libvlcpp
  * Fix various memleaks
  * Improve stability
  * Cleanup
  * Add support for titles and chapters
  * Fix vlc.video.subtitle index
  * Fix attribute 'mute'
  * Add missing GTK UI updates
  * Add method 'getVersionInfo()'
  * Add attribute 'volume'
- Added libvlcpp tarball as Source1
* Tue Nov 15 2016 aloisio@gmx.com
- Update to 2.2.2
* Mon Mar  2 2015 aloisio@gmx.com
- Update to 2.2.0 final
* Thu Feb 12 2015 aloisio@gmx.com
- Updated to current git master
* Sat Jan  3 2015 aloisio@gmx.com
- Updated source to latest git master
* Wed Oct  8 2014 aloisio@gmx.com
- Initial package
